package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ReturnApplyBean;
import com.wd.workoffice.bean.SendApplyBean;
import com.wd.workoffice.util.MathUtils;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class ReturnSendApplyAdapter extends BaseQuickAdapter<ReturnApplyBean.RecordsBean, BaseViewHolder> {
    int status;// 1 往来  2，订单详情退货

    public ReturnSendApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public ReturnSendApplyAdapter(int layoutResId, @Nullable List<ReturnApplyBean.RecordsBean> data, int status) {
        super(layoutResId, data);
        this.status = status;
    }

    @Override
    protected void convert(BaseViewHolder helper, ReturnApplyBean.RecordsBean item) {
        helper.setText(R.id.tv_name, String.format("%s发起的申请", item.getCreatedByName()));
        helper.setText(R.id.tv_code, String.format("申请编号:%s", item.getSerialNumber()));
        helper.setText(R.id.tv_num, MathUtils.converData(item.getProductAmount(), 3));
        helper.setText(R.id.tv_time, item.getCreatedTime());
        if (status != 1)
            helper.setText(R.id.tv_status, WorkUtils.getReturnStatus(Integer.valueOf(item.getStatus())));
        helper.setText(R.id.tv_type, item.getReturnTypeName());
//        if (status == 0) {
//            helper.setVisible(R.id.ll_btn, true);
//            helper.addOnClickListener(R.id.tv_agree);
//            helper.addOnClickListener(R.id.tv_refuse);
//        }
    }
}

